<template>
  <div class=" text-center">
    <nav-bar title="消息" :style="{ 'background-color':'#F7F7FA'}"/>
    <p class=" text-gray-800 text-sm font-semibold mt-7">{{ info.title }}</p>
    <p class=" text-gray-400 text-xs mt-3">{{ $format(info.created_at, 'YYYY-MM-DD HH:mm:ss') }}</p>
    <p class=" text-gray-800 text-sm text-justify mx-5 mt-6 overflow-hidden break-all">{{ info.content }}</p>
  </div>
</template>

<script lang="ts">
import { defineComponent, ref } from 'vue'
import { useRoute } from 'vue-router'
import NavBar from "@/components/NavBar/index.vue"

export default defineComponent({
  components:{ NavBar },
  setup () {
    const route = useRoute()
    const info = ref({} as any)
    info.value = JSON.parse(route.query.info as string)


    return {
      info
    }
  }
})
</script>

<style scoped>

</style>